Get Project Triggers within a given Project
GET /api
Also reachable at /api, /api.
Path Parameters
projectIdstring (required)
ID of the Project to get Project Triggers for.spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
partialNamestring
A partial or complete name to search on. This will perform a “contains” style match against the supplied name or name-fragment.runbookTagsarray of string
A list of Runbook Tags to filter tag based triggers. Tag based triggers matching any of these tags will be included.runbooksarray of string
A list of Runbook IDs, to limit the matching of Project Triggers to those with a particular Runbook ID. Example: [“Runbooks-1”, “Runbooks-2”].skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.triggerActionCategoryenum
Filters the Project Triggers using the specified Trigger Action Category.
Allowed values:Deployment,Runbook.triggerActionTypeenum
Filters the Project Triggers using the specified Trigger Action Type.
Allowed values:AutoDeploy,DeployLatestRelease,DeployNewRelease,DeployLatestReleaseToEnvironment,RunRunbook,CreateRelease.
Response
200 — The requested list of Project Triggers
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectActionobjectDescriptionstringFilterobjectIdstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringProjectIdstringSpaceIdstring
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Action": {
"ActionType": "AutoDeploy",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {}
},
"Description": "string",
"Filter": {
"FilterType": "MachineFilter",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {}
},
"Id": "string",
"IsDisabled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"ProjectId": "string",
"SpaceId": "string"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Create a new project trigger
POST /api
Also reachable at /api, /api.
Path Parameters
projectIdstring (required)
Id of the project to create a trigger in.spaceIdstring (required)
Id of the space where the project is located.
Request Body
Actionobject (required)ActionTypeenum
Allowed values:AutoDeploy,DeployLatestRelease,DeployNewRelease,DeployLatestReleaseToEnvironment,RunRunbook,CreateRelease.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Descriptionstring
Description for the project trigger.Filterobject (required)FilterTypeenum
Allowed values:MachineFilter,DailySchedule,DaysPerWeekSchedule,DaysPerMonthSchedule,CronExpressionSchedule,OnceDailySchedule,ContinuousDailySchedule,FeedFilter,ArcFeedFilter,GitFilter,WebhookFilter.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
IsDisabledboolean
Disables the trigger from being run when set.Namestring (required)
Name of the project trigger. Minimum length 1.ProjectIdstring (required)
Id of the project to create a trigger in.SpaceIdstring (required)
Id of the space where the project is located.
Response
201 — Created
ActionobjectActionTypeenum
Allowed values:AutoDeploy,DeployLatestRelease,DeployNewRelease,DeployLatestReleaseToEnvironment,RunRunbook,CreateRelease.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
DescriptionstringFilterobjectFilterTypeenum
Allowed values:MachineFilter,DailySchedule,DaysPerWeekSchedule,DaysPerMonthSchedule,CronExpressionSchedule,OnceDailySchedule,ContinuousDailySchedule,FeedFilter,ArcFeedFilter,GitFilter,WebhookFilter.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringProjectIdstringSpaceIdstring
Example Request
{
"Action": {
"ActionType": "AutoDeploy",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"Description": "string",
"Filter": {
"FilterType": "MachineFilter",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"IsDisabled": true,
"Name": "string",
"ProjectId": "string",
"SpaceId": "string"
}Example Response
{
"Action": {
"ActionType": "AutoDeploy",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"Description": "string",
"Filter": {
"FilterType": "MachineFilter",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"Id": "string",
"IsDisabled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"ProjectId": "string",
"SpaceId": "string"
}Get project trigger by project id and trigger id
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Project Trigger to load.projectIdstring (required)
Id of the project that trigger is in.spaceIdstring (required)
Id of the space where the project is located.
Response
200 — The requested Project Trigger
ActionobjectActionTypeenum
Allowed values:AutoDeploy,DeployLatestRelease,DeployNewRelease,DeployLatestReleaseToEnvironment,RunRunbook,CreateRelease.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
DescriptionstringFilterobjectFilterTypeenum
Allowed values:MachineFilter,DailySchedule,DaysPerWeekSchedule,DaysPerMonthSchedule,CronExpressionSchedule,OnceDailySchedule,ContinuousDailySchedule,FeedFilter,ArcFeedFilter,GitFilter,WebhookFilter.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringProjectIdstringSpaceIdstring
Example Response
{
"Action": {
"ActionType": "AutoDeploy",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"Description": "string",
"Filter": {
"FilterType": "MachineFilter",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"Id": "string",
"IsDisabled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"ProjectId": "string",
"SpaceId": "string"
}Modify a ProjectTriggerResource by ID
PUT /api
Also reachable at /api, /api.
Updates an existing project trigger
Path Parameters
idstring (required)
Id of the project trigger.projectIdstring (required)
ProjectId of the project trigger.spaceIdstring (required)
Id of the space where the project is located.
Request Body
ActionobjectActionTypeenum
Allowed values:AutoDeploy,DeployLatestRelease,DeployNewRelease,DeployLatestReleaseToEnvironment,RunRunbook,CreateRelease.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Descriptionstring
Description for the project trigger.FilterobjectFilterTypeenum
Allowed values:MachineFilter,DailySchedule,DaysPerWeekSchedule,DaysPerMonthSchedule,CronExpressionSchedule,OnceDailySchedule,ContinuousDailySchedule,FeedFilter,ArcFeedFilter,GitFilter,WebhookFilter.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Idstring (required)
Id of the project trigger.IsDisabledboolean
Disables the trigger from being run when set.Namestring
Name of the project trigger.ProjectIdstring (required)
ProjectId of the project trigger.SpaceIdstring (required)
Id of the space where the project is located.
Response
200 — Modified project trigger resource response
ActionobjectActionTypeenum
Allowed values:AutoDeploy,DeployLatestRelease,DeployNewRelease,DeployLatestReleaseToEnvironment,RunRunbook,CreateRelease.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
DescriptionstringFilterobjectFilterTypeenum
Allowed values:MachineFilter,DailySchedule,DaysPerWeekSchedule,DaysPerMonthSchedule,CronExpressionSchedule,OnceDailySchedule,ContinuousDailySchedule,FeedFilter,ArcFeedFilter,GitFilter,WebhookFilter.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringProjectIdstringSpaceIdstring
Example Request
{
"Action": {
"ActionType": "AutoDeploy",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"Description": "string",
"Filter": {
"FilterType": "MachineFilter",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"Id": "string",
"IsDisabled": true,
"Name": "string",
"ProjectId": "string",
"SpaceId": "string"
}Example Response
{
"Action": {
"ActionType": "AutoDeploy",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"Description": "string",
"Filter": {
"FilterType": "MachineFilter",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"Id": "string",
"IsDisabled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"ProjectId": "string",
"SpaceId": "string"
}Delete an existing Project Trigger
DELETE /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
Id of the project trigger to delete.projectIdstring (required)
Id of the project to create a trigger in.spaceIdstring (required)
Id of the space where the project is located.
Response
200 — Confirmation that the Project Trigger was deleted
Example Response
{}Get a list of Project Triggers
GET /api
Also reachable at /api, /api.
Gets all the Project Triggers in the supplied Octopus Deploy Space, sorted by Id
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Query Parameters
runbooksarray of string
A list of Runbook IDs, to limit the matching of Project Triggers to those with a particular Runbook ID. Example: [“Runbooks-1”, “Runbooks-2”].skipinteger
Number of items to skip. Defaults to zero. Minimum0.takeinteger
Number of items to take. Defaults to 30. Minimum0.
Response
200 — The requested list of Project Triggers
Idstring
Gets or sets a unique identifier for this resource.ItemTypestringItemsarray of objectActionobjectDescriptionstringFilterobjectIdstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringProjectIdstringSpaceIdstring
ItemsPerPageintegerLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.LastPageNumberintegerLinksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NumberOfPagesintegerTotalResultsinteger
Example Response
{
"Id": "string",
"ItemType": "string",
"Items": [
{
"Action": {
"ActionType": "AutoDeploy",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {}
},
"Description": "string",
"Filter": {
"FilterType": "MachineFilter",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {}
},
"Id": "string",
"IsDisabled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"ProjectId": "string",
"SpaceId": "string"
}
],
"ItemsPerPage": 0,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"LastPageNumber": 0,
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"NumberOfPages": 0,
"TotalResults": 0
}Create a new project trigger
POST /api
Also reachable at /api, /api.
Path Parameters
spaceIdstring (required)
Id of the space where the project is located.
Request Body
Actionobject (required)ActionTypeenum
Allowed values:AutoDeploy,DeployLatestRelease,DeployNewRelease,DeployLatestReleaseToEnvironment,RunRunbook,CreateRelease.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Descriptionstring
Description for the project trigger.Filterobject (required)FilterTypeenum
Allowed values:MachineFilter,DailySchedule,DaysPerWeekSchedule,DaysPerMonthSchedule,CronExpressionSchedule,OnceDailySchedule,ContinuousDailySchedule,FeedFilter,ArcFeedFilter,GitFilter,WebhookFilter.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
IsDisabledboolean
Disables the trigger from being run when set.Namestring (required)
Name of the project trigger. Minimum length 1.ProjectIdstring (required)
Id of the project to create a trigger in.SpaceIdstring (required)
Id of the space where the project is located.
Response
201 — Created
ActionobjectActionTypeenum
Allowed values:AutoDeploy,DeployLatestRelease,DeployNewRelease,DeployLatestReleaseToEnvironment,RunRunbook,CreateRelease.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
DescriptionstringFilterobjectFilterTypeenum
Allowed values:MachineFilter,DailySchedule,DaysPerWeekSchedule,DaysPerMonthSchedule,CronExpressionSchedule,OnceDailySchedule,ContinuousDailySchedule,FeedFilter,ArcFeedFilter,GitFilter,WebhookFilter.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringProjectIdstringSpaceIdstring
Example Request
{
"Action": {
"ActionType": "AutoDeploy",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"Description": "string",
"Filter": {
"FilterType": "MachineFilter",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"IsDisabled": true,
"Name": "string",
"ProjectId": "string",
"SpaceId": "string"
}Example Response
{
"Action": {
"ActionType": "AutoDeploy",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"Description": "string",
"Filter": {
"FilterType": "MachineFilter",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"Id": "string",
"IsDisabled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"ProjectId": "string",
"SpaceId": "string"
}Get a Project Trigger by ID
GET /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
ID of the Project Trigger to load.spaceIdstring (required)
Id of the space where the project is located.
Response
200 — The requested Project Trigger
ActionobjectActionTypeenum
Allowed values:AutoDeploy,DeployLatestRelease,DeployNewRelease,DeployLatestReleaseToEnvironment,RunRunbook,CreateRelease.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
DescriptionstringFilterobjectFilterTypeenum
Allowed values:MachineFilter,DailySchedule,DaysPerWeekSchedule,DaysPerMonthSchedule,CronExpressionSchedule,OnceDailySchedule,ContinuousDailySchedule,FeedFilter,ArcFeedFilter,GitFilter,WebhookFilter.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringProjectIdstringSpaceIdstring
Example Response
{
"Action": {
"ActionType": "AutoDeploy",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"Description": "string",
"Filter": {
"FilterType": "MachineFilter",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"Id": "string",
"IsDisabled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"ProjectId": "string",
"SpaceId": "string"
}Modify a ProjectTriggerResource by ID
PUT /api
Also reachable at /api, /api.
Updates an existing project trigger
Path Parameters
idstring (required)
Id of the project trigger.spaceIdstring (required)
Id of the space where the project is located.
Request Body
ActionobjectActionTypeenum
Allowed values:AutoDeploy,DeployLatestRelease,DeployNewRelease,DeployLatestReleaseToEnvironment,RunRunbook,CreateRelease.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Descriptionstring
Description for the project trigger.FilterobjectFilterTypeenum
Allowed values:MachineFilter,DailySchedule,DaysPerWeekSchedule,DaysPerMonthSchedule,CronExpressionSchedule,OnceDailySchedule,ContinuousDailySchedule,FeedFilter,ArcFeedFilter,GitFilter,WebhookFilter.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Idstring (required)
Id of the project trigger.IsDisabledboolean
Disables the trigger from being run when set.Namestring
Name of the project trigger.ProjectIdstring (required)
ProjectId of the project trigger.SpaceIdstring (required)
Id of the space where the project is located.
Response
200 — Modified project trigger resource response
ActionobjectActionTypeenum
Allowed values:AutoDeploy,DeployLatestRelease,DeployNewRelease,DeployLatestReleaseToEnvironment,RunRunbook,CreateRelease.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
DescriptionstringFilterobjectFilterTypeenum
Allowed values:MachineFilter,DailySchedule,DaysPerWeekSchedule,DaysPerMonthSchedule,CronExpressionSchedule,OnceDailySchedule,ContinuousDailySchedule,FeedFilter,ArcFeedFilter,GitFilter,WebhookFilter.Idstring
Gets or sets a unique identifier for this resource.LastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
Idstring
Gets or sets a unique identifier for this resource.IsDisabledbooleanLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.NamestringProjectIdstringSpaceIdstring
Example Request
{
"Action": {
"ActionType": "AutoDeploy",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"Description": "string",
"Filter": {
"FilterType": "MachineFilter",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"Id": "string",
"IsDisabled": true,
"Name": "string",
"ProjectId": "string",
"SpaceId": "string"
}Example Response
{
"Action": {
"ActionType": "AutoDeploy",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"Description": "string",
"Filter": {
"FilterType": "MachineFilter",
"Id": "string",
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"Id": "string",
"IsDisabled": true,
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"Name": "string",
"ProjectId": "string",
"SpaceId": "string"
}Delete an existing Project Trigger
DELETE /api
Also reachable at /api, /api.
Path Parameters
idstring (required)
Id of the project trigger to delete.spaceIdstring (required)
Id of the space where the project is located.
Response
200 — Confirmation that the Project Trigger was deleted
Example Response
{}